<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Расчёт полного размера блочного бокса</title>
</head>
<style>
	body { background-color: rgba(0,0,0,0.2); }
	.block-1 {
		width: 50px;
		height: 22px;
		border: none;
		margin: 22px 8px 6px;
		padding: 11px 0;
		background-color: teal;
	}
	.block-2 {
		box-sizing: border-box;
		height: 22px;
		border: none;
		padding: 50px 12px 1px 6px;
		background-color: teal;
	}
	.block-3 {
		width: 103px;
		border: 2px dotted transparent;
		margin-top: 500px;
		padding: 11px 0;
		background-color: teal;
	}
	.block-4 {
		box-sizing: border-box;
		border: 11px solid black;
		padding: 110px 8px 0 0;
		background-color: teal;
	}
	.block-5 {
		border: 11px solid black;
		padding: 110px 8px 0 0;
		background-color: teal;
	}
</style>
<body>
	<h1>
		Расчёт полного размера блочного бокса
	</h1>
	<div class="block-1">
		<span>Блок 1</span>
	</div>
	<div class="block-2">
		<span>Блок 2</span>
	</div>
	<div class="block-3">
		<span>Блок 3</span>
	</div>
	<div class="block-4">
		<span>Блок 4</span>
	</div>
	<div class="block-5">
		<span>Блок 5</span>
	</div>
</body>
</html>